import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API

// 查询外协单从对应的外协工序的从列表
export function listProcess(query) {
	return request({
		url: baseUrl + '/business/outsourceDetailProcess/list',
		method: 'get',
		params: query
	})
}

// 查询外协单从对应的外协工序的从详细
export function getProcess(id) {
	return request({
		url: baseUrl + '/business/outsourceDetailProcess/' + id,
		method: 'get'
	})
}
// 修改外协单从对应的外协工序的从列表
export function editOutsourcedOrderDetailProcess(data) {
	return request({
		url: baseUrl + '/business/outsourceDetailProcess/editOutsourcedOrderDetailProcess',
		method: 'post',
		data: data
	})
}
// 查询外协单从对应的外协工序的从详细
export function getOrderDetailProcess(data) {
	return request({
		url: baseUrl + '/business/outsourceDetailProcess/getOrderDetailProcess',
		method: 'post',
		data:data
	})
}
//查询上一道序的合格数
export function getLastProcessQualifitedNum(data) {
	return request({
		url: baseUrl + '/business/outsourceDetailProcess/getLastProcessQualifitedNum',
		method: 'post',
		data:data
	})
}
